
#########################
# Common services for UNIX/Linux Production hosts
#########################

define service {
	service_description		snmp_unix_alive
	use                             UNIX Production service
	hostgroup_name			Linux Prod, SIEM, Solaris, !Oracle Exadata, !Prod 8x5 Linux, !CPanel Prod, !TSM Production, !Linux Prod - no SNMP
	host_name			ims204
	max_check_attempts		3
	retry_check_interval		2
	check_command			check_snmp_alive
	contacts			Igor V. Gubenko
}

define service {
	service_description		snmp_unix_alive
	use				UNIX Production 8x5 service
	hostgroup_name			Prod 8x5 Linux, !Ping
	max_check_attempts		3
	retry_check_interval		2
	notification_options		u,c,r
	check_command			check_snmp_alive
	contacts			Igor V. Gubenko
}

define service {
	service_description             nrpe_unix_agent_status
	use                             UNIX Production service
	hostgroup_name			Linux Prod, !Oracle Exadata, !Prod 8x5 Linux, !CPanel Prod, Solaris, !TSM Production
	max_check_attempts              3
	retry_check_interval		1
	check_command                   check_nrpe_agent
	contacts			ESS Page, ESS UNIX List
}


define service {
	service_description		nrpe_unix_agent_status
	use				UNIX Production 8x5 service
	hostgroup_name			Prod 8x5 Linux, !Ping
	max_check_attempts              3
	retry_check_interval		1
	check_command			check_nrpe_agent
	contacts			ESS Page
}

define service {
	service_description             nrpe_unix_cpu
	use                             UNIX Production service
	hostgroup_name			Solaris
	max_check_attempts              6
	normal_check_interval           10
	retry_check_interval            10
	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
	check_command                   check_nrpe_cpu!50!70!2!1
	contacts			ESS UNIX List
}

define service {
	service_description             nrpe_unix_cpu_system
	use                             UNIX Production service
	hostgroup_name			Linux Prod, !Oracle Exadata, !Prod 8x5 Linux, !CPanel Prod, !TSM Production, !PUaccess, !Exceptions
	max_check_attempts              6
	normal_check_interval           10
	retry_check_interval            10
	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
	check_command                   check_nrpe_cpu_system!70:80!50:70
	contacts			ESS UNIX List
	contact_groups			null
}


define service {
	service_description             nrpe_unix_cpu_user
	use                             UNIX Production service
	hostgroup_name			Linux Prod, !Oracle Exadata, !Prod 8x5 Linux, !CPanel Prod, !TSM Production, !PUaccess, !Exceptions
	max_check_attempts              6
	normal_check_interval           10
	retry_check_interval            10
	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
	check_command                   check_nrpe_cpu_user!85:90
	contacts			nobody
	contact_groups			null
}


define service {
	service_description             nrpe_unix_cpu_system
	use                             UNIX Production service
	hostgroup_name			PUaccess
	max_check_attempts              6
	normal_check_interval           10
	retry_check_interval            10
	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
	check_command                   check_nrpe_cpu_system!70:80!50:70
	contacts			ESS UNIX List, Identity and Access Management
}

define service {
	service_description             nrpe_unix_load
	use                             UNIX Production service
	hostgroup_name			Linux Prod, !Oracle Exadata, !Prod 8x5 Linux, !32bit Linux, !TSM Production, !Exceptions
	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
	check_command                   check_nrpe_load!2,2.3,2.7!4,4.5,5!" -r "
	contacts			nobody
	contact_groups			null
}


define service {
	service_description             nrpe_unix_cpu_user
	use                             UNIX Production service
	hostgroup_name			PUaccess
	max_check_attempts              6
	normal_check_interval           10
	retry_check_interval            10
	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
	check_command                   check_nrpe_cpu_user!85:90
	contacts			Identity and Access Management
}

define service {
	service_description		nrpe_unix_cpu_system
	use				UNIX Production 8x5 service
	hostgroup_name			Prod 8x5 Linux, !Ping
	max_check_attempts		6
	normal_check_interval		10
	retry_check_interval		10
	notification_options		c,r
	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
	check_command                   check_nrpe_cpu_system!70:80!50:70!85:90
	contacts			ESS UNIX List
	contact_groups			null
}

define service {
	service_description		nrpe_unix_cpu_user
	use				UNIX Production 8x5 service
	hostgroup_name			Prod 8x5 Linux, !Ping
	max_check_attempts		6
	normal_check_interval		10
	retry_check_interval		10
	notification_options		c,r
	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
	check_command			check_nrpe_cpu_user!85:90
	contacts			nobody
	contact_groups			null
}

define service {
	service_description             nrpe_unix_load
	use				UNIX Production 8x5 service
	hostgroup_name			Prod 8x5 Linux, !Ping
	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
	check_command                   check_nrpe_load!2,2.3,2.7!4,4.5,5!" -r "
	contacts			nobody
	contact_groups			null
}


define service {
	service_description		nrpe_unix_active_mem
	use				UNIX Production service
	hostgroup_name			Linux Prod, !Oracle Exadata, !Prod 8x5 Linux, !CPanel Prod, !TSM Production, !PUaccess, !Exceptions
	process_perf_data		1
	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
	check_command			check_nrpe_active_mem!90!95
	contacts			ESS UNIX List
}

define service {
	service_description		nrpe_unix_active_mem
	use				UNIX Production service
	hostgroup_name			PUaccess
	process_perf_data		1
	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
	check_command			check_nrpe_active_mem!90!95
	contacts			ESS UNIX List, Identity and Access Management
}

define service {
	service_description		nrpe_unix_active_mem
	use				UNIX Production 8x5 service
	hostgroup_name			Prod 8x5 Linux, !Ping
	notification_options		c,r
	process_perf_data		1
	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
	check_command			check_nrpe_active_mem!90!95
	contacts			ESS UNIX List
}

define service {
	service_description		nrpe_unix_swap
	use				UNIX Production service
	hostgroup_name			Linux Prod, !Oracle Exadata, !Prod 8x5 Linux, !CPanel Prod, Solaris, !TSM Production, !PUaccess, !Exceptions
	notification_options		c,r
	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
	check_command			check_nrpe_swap!20!10
	contacts			ESS UNIX List
}

define service {
	service_description		nrpe_unix_swap
	use				UNIX Production service
	hostgroup_name			PUaccess
	notification_options		c,r
	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
	check_command			check_nrpe_swap!20!10
	contacts			ESS UNIX List, Identity and Access Management
}

define service {
	service_description		nrpe_unix_swap
	use				UNIX Production 8x5 service
	hostgroup_name			Prod 8x5 Linux, !Ping
	notification_options		c,r
	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
	check_command			check_nrpe_swap!20!10
	contacts			ESS UNIX List
}


define service {
	service_description		nrpe_unix_mounts
	use				UNIX Production service
	hostgroup_name			Linux Prod, Solaris, !CPanel Prod, !Oracle Exadata, !PUaccess, !TSM Production
	notification_options		c,r
	check_command			check_nrpe_mounts
	contact_groups			null
	contacts			Christopher Dietrich
}

define service {
	service_description		nrpe_unix_mounts
	use				UNIX Production service
	hostgroup_name			PUaccess
	notification_options		c,r
	check_command			check_nrpe_mounts
	contact_groups			null
	contacts			Christopher Dietrich, Identity and Access Management
}


define service {
	service_description		nrpe_unix_log_nfs_failure
	use				UNIX Production service
	hostgroup_name			Linux Prod
	max_check_attempts		1
	normal_check_interval		10
	is_volatile			1
	notification_options		w,c
	check_command			check_nrpe_very_generic! -p $USER10$! -t $USER3$! -H eis222l! -c check_log3! -a /logs/today/$HOSTNAME$/messages!'kernel:.+nfs.+not.+responding'!' -s /tmp/nagios_check_log_nfs_failure_$HOSTNAME$ -i -c 1 -a -Q --missing=OK --show-filename'
	contacts			ESS Storage
}


define service {
	service_description		snmp_unix_load
	use				UNIX Production service
	hostgroup_name			SIEM
	host_name			!esm, !receiver01, !receiver02, !receiver03
	check_command			check_snmp_load!4,4.5,5!6,6.5,7! -T netsl
	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
	contact_groups			null
	contacts			Eric Burd, Igor V. Gubenko, Ruth D. Gittens
}

define service {
	service_description		snmp_unix_load
	use				UNIX Production service
	host_name			esm
	check_command			check_snmp_load!10,10.5,11!12,12.5,13! -T netsl
	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
	contact_groups			null
	contacts			Eric Burd, Igor V. Gubenko, Ruth D. Gittens
}

define service {
	service_description		snmp_unix_load
	use				UNIX Production service
	host_name			receiver01, receiver02, !receiver03
	check_command			check_snmp_load!8,8.5,9!10,10.5,11! -T netsl
	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
	contact_groups			null
	contacts			Eric Burd, Igor V. Gubenko, Ruth D. Gittens
}

define service {
	service_description		snmp_linux_mem
	use				UNIX Production service
	hostgroup_name			SIEM
	host_name			!esm, !receiver01, !receiver02, !receiver03
	check_command			check_snmp_nix_memory!95,85!98,90
	notification_options		c,r
	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
	contact_groups			null
	contacts			Eric Burd, Igor V. Gubenko, Ruth D. Gittens
}

define service {
	service_description		snmp_linux_mem
	use				UNIX Production service
	host_name			esm, receiver01, receiver02, receiver03
	check_command			check_snmp_nix_memory!60,0!80,0
	notification_options		w,c,r
	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
	contact_groups			null
	contacts			Eric Burd, Igor V. Gubenko, Ruth D. Gittens
}

#define service {
#	service_description		snmp_linux_mem
#	use				UNIX Production service
#	hostgroup_name			Linux Prod, !Oracle Exadata, !Prod 8x5 Linux, !CPanel Prod, !Linux Prod - no SNMP, !PUaccess, !TSM Production
#	check_command			check_snmp_nix_memory!95,85!98,90
#	notification_options		c,r
#	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
#	contact_groups			null
#	contacts			nagiosadmin
#}


define service {
	service_description		snmp_linux_mem
	use				UNIX Production service
	hostgroup_name			PUaccess
	check_command			check_snmp_nix_memory!95,85!98,90
	notification_options		c,r
	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
	contact_groups			null
	contacts			Identity and Access Management
}

define service {
	service_description		nrpe_unix_disk_system
	use				UNIX Production service
	hostgroup_name			Linux Prod, !Oracle Exadata, !Prod 8x5 Linux, !CPanel Prod, !TSM Production, !Exceptions
action_url           /graphs/cgi-bin/label_graph.cgi?host=$HOSTNAME$&service=nrpe_unix_disk_system
	check_command			check_nrpe_disk_by_class!system
	contacts			ESS UNIX List
}

define service {
	service_description		nrpe_unix_disk_system
	use				UNIX Production service
	hostgroup_name			Solaris
action_url           /graphs/cgi-bin/label_graph.cgi?host=$HOSTNAME$&service=nrpe_unix_disk_system
	check_command			check_nrpe_disk_by_class!system
	contacts			ESS Page
}


define service {
	service_description		nrpe_unix_disk_system
	use				UNIX Production 8x5 service
	hostgroup_name			Prod 8x5 Linux, !Ping
	notification_options		u,c,r
action_url           /graphs/cgi-bin/label_graph.cgi?host=$HOSTNAME$&service=nrpe_unix_disk_system
	check_command			check_nrpe_disk_by_class!system
	contacts			ESS UNIX List
}

#define service {
#	service_description		snmp_unix_disk_system
#	use				UNIX Production service
#	hostgroup_name			Linux Prod, !Oracle Exadata, !Prod 8x5 Linux, !CPanel Prod, Solaris, !Linux Prod - no SNMP, !PUaccess, !TSM Production, !Exceptions
#	check_command			check_snmp_disk!^/(|boot|tmp|usr(|/local)|var(|/local)|home)$!85!90
#	contacts			nagiosadmin
#	contact_groups			null
#}

define service {
	service_description		snmp_unix_disk_system
	use				UNIX Production service
	hostgroup_name			PUaccess
	check_command			check_snmp_disk!^/(|boot|tmp|usr(|/local)|var(|/local)|home)$!85!90
	contacts			Identity and Access Management
	contact_groups			null
}

define service {
	service_description		snmp_unix_disk
	use				UNIX Production service
	hostgroup_name			SIEM
	host_name			!esm, !receiver01, !receiver02, !receiver03, !siem-elm
	check_command			check_snmp_disk!^.*$!80!90
	notification_options		w,c,r
	contacts			Dean Plante, Networking
}

define service {
	service_description		snmp_unix_disk
	use				UNIX Production service
	host_name			esm, siem-elm
	check_command			check_snmp_disk!^.*$!90!95
	notification_options		w,c,r
	contacts			Dean Plante, Networking
}

define service {
	service_description		snmp_unix_disk
	use				UNIX Production service
	host_name			receiver01, receiver02, receiver03
	check_command			check_snmp_disk!^.*$!65!85
	notification_options		w,c,r
	contacts			Dean Plante, Networking
}

#define service {
#	service_description		snmp_unix_disk_app
#        use				UNIX Production service
#        hostgroup_name			Linux Prod, !Prod 8x5 Linux, !Application Linux Production, !CPanel Prod, Solaris, !DBA UNIX Prod, !Linux Prod - no SNMP, !PUaccess, !TSM Production
#        check_command			check_snmp_disk_except!^/(|batman/.*|dev(|ices)(|/.*)|dmsdrop/.*|etc/(mnttab|dfs/sharetab|svc/volatile)|export(|/home.*)|platform/sun4[uv].*|system/(contract|object)|proc(|/.*)|boot|nashome|patches|run(|/.*)|rpool|sys/fs/cgroup|tmp|usr(|/compile|/licensed|/local|/operations|/psr.oit|/hostdatabase)|var(|/local|/localsoft|/run|/scholarpac|/scratch)|home.*|yum_repo)$!90!95
#	contacts			nagiosadmin
#	contact_groups			null
#}

define service {
	service_description		nrpe_unix_lxfiles
	use				UNIX Production service
	hostgroup_name			Linux Prod OEL5, !Prod 8x5 Linux, !CPanel Prod, !PUaccess, !TSM Production
	host_name			!raas03
	check_command			check_nrpe_unix_lxfiles!-c!/etc/fstab,/etc/group,/etc/hosts,/etc/hosts.allow,/etc/passwd,/etc/syslog.conf
	contacts			ESS UNIX List
}

define service {
	service_description		nrpe_unix_lxfiles
	use				UNIX Production service
	host_name			raas03
	check_command			check_nrpe_unix_lxfiles!-c!/etc/fstab,/etc/group,/etc/hosts,/etc/hosts.allow,/etc/passwd
	contacts			ESS UNIX List
}

define service {
	service_description		nrpe_unix_lxfiles
	use				UNIX Production 8x5 service
	hostgroup_name			Prod 8x5 Linux, !Ping
	notification_options		u,c,r
	check_command			check_nrpe_unix_lxfiles!-c!/etc/fstab,/etc/group,/etc/hosts,/etc/hosts.allow,/etc/passwd,/etc/syslog.conf
	contacts			ESS UNIX List
}

define service {
	service_description		nrpe_unix_lxfiles6
	use				UNIX Production service
	hostgroup_name			Linux Prod OEL6, !Oracle Exadata, !PUaccess, !TSM Production
	check_command			check_nrpe_unix_lxfiles!-c!/etc/fstab,/etc/group,/etc/hosts,/etc/hosts.allow,/etc/passwd,/etc/rsyslog.conf
	contacts			ESS UNIX List
}

define service {
	service_description		nrpe_unix_lxfiles6
	use				UNIX Production service
	hostgroup_name			PUaccess
	check_command			check_nrpe_unix_lxfiles!-c!/etc/fstab,/etc/group,/etc/hosts,/etc/hosts.allow,/etc/passwd,/etc/rsyslog.conf
	contacts			ESS UNIX List, Identity and Access Management
}

define service {
	service_description             nrpe_unix_proclist_linux
	use                             UNIX Production service
	hostgroup_name			Linux Prod OEL5, !Prod 8x5 Linux, !CPanel Prod, !PUaccess, !TSM Production
	host_name			!raas03
	check_command                   check_nrpe_proclist!crond,nscd,ntpd,portmap,sendmail,snmpd,sshd,syslogd,xinetd,ypbind
	contacts			ESS UNIX List
}

define service {
	service_description             nrpe_unix_proc_tripwire
	use                             UNIX Production service
	hostgroup_name			Linux Prod, !Prod 8x5 Linux, !CPanel Prod, !Oracle Exadata, !PUaccess, !TSM Production
	host_name			!raas03
	check_command			check_nrpe_process!5!1:! -a tripwire -t 30
	contacts			ESS UNIX List
}


# No portmap check
define service {
	service_description             nrpe_unix_proclist_linux
	use                             UNIX Production service
	host_name			raas03
	check_command                   check_nrpe_proclist!crond,nscd,ntpd,sendmail,snmpd,sshd,xinetd,ypbind
	contacts			ESS UNIX List
}


define service {
	service_description		nrpe_unix_proclist_linux
	use				UNIX Production 8x5 service
	hostgroup_name			Prod 8x5 Linux, !Ping
	notification_options		u,c,r
	check_command			check_nrpe_proclist!crond,nscd,ntpd,portmap,sendmail,snmpd,sshd,syslogd,xinetd,ypbind
	contacts			ESS UNIX List
}

define service {
	service_description             nrpe_unix_proc_tripwire
	use				UNIX Production 8x5 service
	hostgroup_name			Prod 8x5 Linux, !Ping
	check_command			check_nrpe_process!5!1:! -a tripwire
	contacts			ESS UNIX List
}

define service {
        service_description             nrpe_unix_proclist_linux6
        use                             UNIX Production service
	hostgroup_name			Linux Prod OEL6, !Oracle Exadata, !Prod 8x5 Linux, !PUaccess, !TSM Production
	host_name			!csglists200l
        check_command                   check_nrpe_proclist!crond,nscd,ntpd,sendmail,snmpd,sshd,rsyslogd,xinetd,ypbind
	contacts			ESS UNIX List
}

define service {
        service_description             nrpe_unix_proclist_linux6
        use                             UNIX Production service
	hostgroup_name			PUaccess
        check_command                   check_nrpe_proclist!crond,nscd,ntpd,sendmail,snmpd,sshd,rsyslogd,xinetd,ypbind
	contacts			ESS UNIX List, Identity and Access Management
}

# No sendmail
define service {
        service_description             nrpe_unix_proclist_linux6
        use                             UNIX Production service
	host_name			csglists200l
        check_command                   check_nrpe_proclist!crond,nscd,ntpd,snmpd,sshd,rsyslogd,xinetd,ypbind
	contacts			ESS UNIX List
}

# lsv check
define service {
        service_description             nrpe_unix_proclist_lsv
        use                             UNIX Production service
	host_name			csglists200l
        check_command                   check_nrpe_proclist!lsv
	contacts			CISDR
}


########################### End common UNIX/Linux definitions

define service {
	service_description		nrpe_unix_asm_disk
	use				UNIX Production service
	host_name			eis208l
	check_command			check_nrpe_asm_disk!85!95
	contact_groups			null
	contacts			DBA Important List
}

define service {
	service_description		nrpe_unix_disk_app
	use				UNIX Production service
	host_name			iamxythos200l, iamxythos201l, oaamx201l, oaamx202l
	check_command			check_nrpe_disk_by_class!iam
	notification_options		w,c,r
	contacts			CISDR
}

define service {
	service_description		nrpe_unix_disk_app
	use				UNIX Production service
	host_name			cisdr202l, cisdr204l
	check_command			check_nrpe_disk_by_class!dspace
	notification_options		w,c,r
	contacts			CISDR
}

define service {
	service_description		snmp_unix_disk_app
	use				UNIX Production service
	host_name			asoar201l
	check_command			check_snmp_disk!^/oar$!85!95
	contacts			CISDR
}

define service {
	service_description		nrpe_unix_disk_app
	use				UNIX Production service
	host_name			aisiw207l, aisiw208l
	check_command			check_nrpe_disk_by_class!monocle
	notification_options		w,c,r
	contacts			monocle
}

define service {
	service_description		nrpe_unix_disk_app_ora
	use				UNIX Production service
	hostgroup_name			DBA UNIX Prod
	check_command			check_nrpe_disk_by_class!dbas
	notification_options		w,c,r
	contact_groups			null
	contacts			DBA Important List
}

define service {
	service_description		nrpe_unix_disk_app_aas-l
	use				UNIX Production service
	host_name			isserv215, isserv216
	notification_options		w,c,r
	check_command			check_nrpe_disk_by_class!aas-l
	contacts			DBA Important List, AIS ERP List
}

define service {
	service_description		nrpe_unix_disk_app_amu
	use				UNIX Production service
	host_name			amu203l
	check_command			check_nrpe_disk_by_class!amu
	contact_groups			null
	contacts			Janet M. Strohl-Morgan
}

define service {
	service_description		nrpe_unix_disk_app_bb
	use				UNIX Production service
	host_name			asbb208l
	check_command			check_nrpe_disk_by_class!bb
	notification_options		w,c,r
	contact_groups			null
	contacts			Kim Y. Huang
}

define service {
	service_description		nrpe_unix_disk_app_molbio
	use				UNIX Production service
	host_name			mol201l,mol203l
	check_command			check_nrpe_disk_by_class!molbio
	notification_options		w,c,r
	contact_groups			null
	contacts			Matthew H. Cahn
}

define service {
	service_description		nrpe_unix_disk_app_sdp
	use				UNIX Production service
	host_name			prov01, sdpoam200l, sdpoam201l, sdpobi200l, sdpohs200l, sdpohs201l, sdpovd200l, sdpovd201l, sdpprox200l, sdpprox201l
	check_command			check_nrpe_disk_by_class!sdp
	notification_options		w,c,r
	contacts			Identity and Access Management
}

define service {
	service_description		nrpe_unix_disk_app_maestro
	use				UNIX Production service
	hostgroup_name			Maestro
	check_command			check_nrpe_disk_by_class!maestro
	notification_options		w,c,r
	contacts			ESS Storage, Martin Pager
}

define service {
	service_description		nrpe_unix_disk_app_cisdr
	use				UNIX Production service
	host_name			csgsmtp202l, csgsmtp203l
	check_command			check_nrpe_disk_by_class!csg
	notification_options		w,c,r
	contacts			CISDR, CSG OnCall
}

define service {
	service_description		nrpe_unix_disk_app_cisdr
	use				UNIX Production service
	host_name			cisdrroxen200l, cisdrroxen201l, cisdrroxen202l, cisdrroxen203l, cisdrroxen204l, cisdrroxen205l
	check_command			check_nrpe_disk_by_class!csg
	notification_options		w,c,r
	contacts			OIT CSG Reports
}

define service {
	service_description		nrpe_unix_disk_app_cisdr
	use				UNIX Production service
	host_name			cisdrswh200l, cisdrswh201l
	check_command			check_nrpe_disk_by_class!cisdr
	notification_options		w,c,r
	contacts			CISDR, CSG OnCall
}

# Software support
define service {
	service_description		nrpe_unix_disk_app_sws
	use				UNIX Production service
	host_name			ss200l, ss209l
	check_command			check_nrpe_disk_by_class!sws
	notification_options		w,c,r
	contacts			Mark J. Pellecchia, Thomas J. Francais
}

define service {
	service_description		nrpe_unix_disk_app_etc
	use				UNIX Production service
	host_name			asetc206l, asweb200l
	check_command			check_nrpe_disk_by_class!etc
	notification_options		w,c,r
	contact_groups			null
	contacts			ATS System Administration
}

define service {
	service_description		nrpe_unix_disk_app_ims
	use				UNIX Production service
	host_name			ims204, ims205, ims218, ims219, ims220, ims221, ims222, ims223, ims224, ims225, ims314, ims315
	check_command			check_nrpe_disk_by_class!ims
	notification_options		w,c,r
	contacts			Networking, Igor Pager
}

define service {
	service_description		nrpe_unix_disk_logs
	use				UNIX Production service
	host_name			eis222l
	check_command			check_nrpe_disk!85!90!/logs
	notification_options		w,c,r
	contacts			ESS UNIX List
}

# /aislocal
define service {
	service_description		snmp_unix_disk_app_aislocal
	use				UNIX Production service
	host_name			ais204l
	check_command			check_snmp_disk!^/aislocal$!85!90
	notification_options		w,c,r
	contacts			AIS Mon CustomApps
}

define service {
	service_description		nrpe_unix_disk_app
	use				UNIX Production service
	host_name			ais211l
	check_command			check_nrpe_disk_by_class!AIScustomapps
	notification_options		w,c,r
	contacts			AIS Mon CustomApps
}


define service {
	service_description		snmp_unix_disk_app
	use				UNIX Production service
	host_name			eisoid201l, eisoid202l, eisoid203l
	check_command			check_snmp_disk!^/var$!85!95
	notification_options		w,c,r
	contacts			DBA Important List
}

define service {
	service_description		snmp_unix_disk_app
	use				UNIX Production service
	host_name			iso200l-rencif
	check_command			check_snmp_disk!^/usr/local/security$!85!95
	notification_options		w,c,r
	contacts			Dean Plante, Eric Burd, Igor V. Gubenko
}

define service {
	service_description		snmp_unix_disk_app
	use				UNIX Production service
	host_name			prson-proj-prod
	check_command			check_snmp_disk!^/usr/local/prson$!85!95
	notification_options		w,c,r
	contacts			PRSON PROJ, Diana I. Tamir - dit2
}

# /web
define service {
	service_description		snmp_unix_disk_app
	use				UNIX Production service
	host_name			mol200l
	check_command			check_snmp_fixed_storage!^/web$!85!90
	notification_options		w,c,r
	contacts			Matthew H. Cahn
}

define service {
	service_description		snmp_unix_disk_app
	use				UNIX Production service
	host_name			mon204l, mon205l
	check_command			check_snmp_disk!^/usr/local/monitoring$!70!85
	contacts			Networking
}

define service {
	service_description		snmp_unix_disk_app
	use				UNIX Production service
	host_name			net200l-config
	check_command			check_snmp_disk!^/manageengine$!70!85
	contacts			Networking
}

define service {
	service_description		snmp_unix_disk_app
	use				UNIX Production service
	host_name			sdpldap200l, sdpldap201l
	check_command			check_snmp_disk!^/var/ldap$!70!85
	contacts			Identity and Access Management
}

define service {
	service_description		snmp_unix_disk_app
	use				UNIX Production service
	host_name			sentinel
	check_command			check_snmp_disk!^/(data|opt)$!85!95
	contacts			Networking
}

define service {
	service_description		snmp_unix_disk_app
	use				UNIX Production service
	host_name			timeline201l, timeline202l, timeline203l, timeline204l, timeline205l
	check_command			check_snmp_disk!^/usr/local/apps$!85!95
	notification_options		w,c,r
	contacts			Timeline
}

define service {
	service_description		snmp_unix_disk_app_var
	use				UNIX Production service
	host_name			csglists200l
	check_command			check_snmp_disk!^/var$!85!95
	contacts			CSG Page, ESS Page
}

define service {
	service_description		nrpe_unix_om
	use				UNIX Production service
	hostgroup_name			Physical Prod Linux
	check_command			check_nrpe_om
	contacts			ESS UNIX List
}

define service {
	service_description		nrpe_unix_multipath
	use				UNIX Production service
	host_name			eis208l
	check_command			check_nrpe_multipath!2!2
	contacts			ESS UNIX List
	contact_groups			null
}

define service {
	service_description		snmp_unix_OpenManage
	use				UNIX Production service
	hostgroup_name			Physical Prod Linux
	max_check_attempts		5
	retry_check_interval		5
	notification_interval		43200
	notification_options		c
	check_command			check_snmp_openmanage_new
	contacts			ESS Ops
}

define service {
	service_description		trap
	use				SNMP trap
	hostgroup_name			SIEM
	contacts			epm-list
}

define service {
	service_description		trap
	use				SNMP trap
	hostgroup_name			Firewalls
	contacts			John Shorey
}


